LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cppu::AntiEnvGuard Class Reference

Environment Anti-Guard Any entered Environment becomes left in the constructor and re-entered in the destructor. More...

`#include <EnvGuards.hxx>`

## Public Member Functions
| AntiEnvGuard ()
| ~AntiEnvGuard ()

## Detailed Description

Environment Anti-Guard Any entered Environment becomes left in the constructor and re-entered in the destructor.

(http://wiki.services.openoffice.org/wiki/Uno/Cpp/Spec/Environment_AntiGuard)

Since
  UDK 3.2.7

## Constructor & Destructor Documentation

cppu::AntiEnvGuard::AntiEnvGuard | ( |  | ) |
| inline explicit

cppu::AntiEnvGuard::~AntiEnvGuard | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- cppu/EnvGuards.hxx